MLXCABLES(1)

NAME
mlxcables - manual page for mlxcables 4.19.0

DESCRIPTION
NAME

    mlxcables

SYNOPSIS

    mlxcables

    [-d|--dev <DeviceName>] [-h|--help] [-v|--version] [-q|--query] [--DDM] [-r|--read] [--print_raw] [--dump] [-b|--bytes_line <bytesPerLine>] [-w|--write <writeData>] [-p|--page <pageNum>] [-o|--offset <pageOffset>] [-l|--length <length>] [-a|--address <address>] [-u|--update] [-i|--image-file <FileName>] [-f|--force] [-y|--yes] [--no] [-t|--reset] [--nofs] [--read_reg <Register>] [--read_all_regs] [--show_all_regs] [--customization <Customization>]

DESCRIPTION

    Mellanox Cables Tool

OPTIONS

    mlxcables

-d|--dev <DeviceName>
    : Perform operation for specified cable

-h|--help
    : Show this message and exit

-v|--version
    : Show the executable version and exit

-q|--query
    : Query cable info

--DDM
    : Get cable DDM query

-r|--read
    : Read from cable

--print_raw
    : Print bytes in raw format

--dump
    : Dump all cable pages in RAW format

-b|--bytes_line <bytesPerLine>
    : Bytes per line in the raw print (multiples of 4, default: 4)

-w|--write <writeData>
    : Write to cable with data (list of bytes split by ',': e.g. 0x80,0x10,0x55)

-p|--page <pageNum>
    : Specific Page number to do the read/write operation

-o|--offset <pageOffset>
    : Specific Page offset

-l|--length <length>
    : Length of the need data in bytes to read (default: 1 Byte)

-a|--address <address>
    : Address (Replacement for page+offset)

-u|--update
    : Update firmware image on the cable

-i|--image-file <FileName>
    : Specified image file to use

-f|--force
    : Force image update

-y|--yes
    : Answer is yes in prompts

--no
    : Answer is no in prompts

-t|--reset
    : Reset the cable module

--nofs
    : Burn image in a non failsafe manner

--read_reg <Register>
    : Read register from cable

--read_all_regs
    : Read all registers from cable

--show_all_regs
    : Show all registers in the cable

--customization <Customization>
    : Show customization parameters

NOTES

    1. To work with cables run the following while mst is started:

    I. mst cable add. (For devices that supports MCIA only - CX4 and above), or:

    II. mst cable add --with_ib. (For supported OSes only, Linux & Windows, for more information run mst help)

    III. mst status - Will show all the cables.

    2. For QSFP transceivers the tool reads the address from I2C address of 0x50.

    For more information please see spec SFF8636.

    3. For SFP transceivers the tool reads from I2C address 0x50 and names it page 0.

    When reading from I2C address 0x51 the pages will be read as page <x+1>. For examples:

    I2C address 0x51 page 0 will be referred in the tool as page 1. I2C address 0x51 page 1 will be referred in the tool as page 2. And so on.

    For more information please see spec SFF8472.

    4. This tool can work with MTUSB board using I2C without the need to pass via the Mellanox HCA/Switch.

    Query and read operations are supported. To add a relevant MTUSB cable run: mst cable add.

    5. Burning cable firmware feature is not supported for new cables.

EXAMPLES

    1. Read bytes from specific page on the cable:

    >> mlxcables -d mt4115_pciconf0_cable_0 -r -p 0 -o 165 -l 3

    Page[0].Byte[165] = 0x00 Page[0].Byte[166] = 0x02 Page[0].Byte[167] = 0xc9

    2. Read specific register by name

    I. Get all registers' names and pick one:

    >> mlxcables -d mt4115_pciconf0_cable_0 --show_all_regs

    II. Run read register with the register name you choose (e.g. vendor_oui, identifier):

    >> mlxcables -d mt4115_pciconf0_cable_0 --read_reg vendor_oui

    vendor_oui = 0x0002c9

    >> mlxcables -d mt4115_pciconf0_cable_0 --read_reg identifier

    identifier = 0x0d

    3. Write bytes to specific page on the cable:

    # Writing password of page 0xF0: >> mlxcables -d mt4115_pciconf0_cable_0 -w 0xca,0xb1,0xef,0xea -p 0 -o 123

    3. Querying MTUSB cable:

    >> mlxcables -d mtusb-1_cable

    4. Reading from a specific address in MTUSB:

    >> mlxcables -d mtusb-1_cable -r -p 0 -o 165 -l 3

    Page[0].Byte[165] = 0x00 Page[0].Byte[166] = 0x02 Page[0].Byte[167] = 0xc9

SEE ALSO
The full documentation for mlxcables is maintained as a Texinfo manual. If the info and mlxcables programs are properly installed at your site, the command

    info mlxcables

should give you access to the complete manual.